Subject: Re: [linux-usb-devel] USB host on Freescale MPC880

From: Pantelis Antoniou <[email-masked]>
Date: Wed, 19 Jan 2005 08:53:51 +0200

Bryan O'Donoghue wrote:
> Dayton, Dean wrote:
> 
>> I need to provide a USB host interface on a propietary board using a
>> Freescale (Motorola) MPC880. The MPC880 has a USB implemented in the
>> CPM, but I haven't found any Linux support for it. Can anyone point me
>> to existing drivers? Does anyone know of any problems that would/should
>> prevent me from using the MPC880's USB interface?
>>
>> Thanks
> 
> 
> Greetings Dean *list*.
> 
> There are some propiatery drivers... but... it's an oxymoron, to pay 
> licensing fees for Linux... I'd sooner eat nails then use the propiatery 
> offerings, to be quite honest, I'd have to quit my job before being 
> associated with such a thing.
> 
> Right now the Freescale 870-885 has minimal support in Linux, but, I do 
> have some patches for a 2.4.x which map out this family of chip's memory 
> map as per the specification and I have a very primitive USB loopback 
> tester working for this architecture. Said patches are not really ready 
> for public consumption, not to mention only being usable on a 2.4.
> 
> A propiatery board being developed by my company wants USB host 
> support... and I'm fairly confident I can do that... and hopefully I can 
> get some serious development work done on this over the next three to 
> four months and release a patch/(s) for public consumption.
> 
> I estimate it will take another four months to get USB host working 
> properly and perhaps a month to get USB-device support working properly 
> (touch wood on both counts), I'm not sure about the required development 
> time on that to be honest... but, if I don't get it finished in time for 
> our propiatery board, the powers that be in my company will use a 
> propiatery Linux offering... and I'll have to resign on the grounds of 
> being an Open Source Evangalist ! I need to eat/pay rent... so I really 
> need to get this board + USB working. *grin*.
> 
> Are you guys planning on devoting any development effort to hardware 
> support of this freescale part ? If so, would it be prudent to 
> co-ordinate the development effort ?
> 
> Bryan
> 

I have a fairly hacked over version of the original USB host driver that
works for 87x/88x.

Are you interested?

Regards

Pantelis